Subject: [PATCHv4 1/3] mx2_camera: Add soc_camera support for i.MX25/i.MX27

From: [email-masked] (Baruch Siach)
Date: Wed, 30 Jun 2010 06:03:16 +0300

On Tue, Jun 29, 2010 at 09:47:42PM +0200, Guennadi Liakhovetski wrote:
> On Mon, 21 Jun 2010, Baruch Siach wrote:
> 
> > This is the soc_camera support developed by Sascha Hauer for the i.MX27.  Alan
> > Carvalho de Assis modified the original driver to get it working on more recent
> > kernels. I modified it further to add support for i.MX25. This driver has been
> > tested on i.MX25 and i.MX27 based platforms.
> 
> This looks good to me, thanks! Overflow on eMMA is, probably, still 
> broken, but it will, most probably, remain so, until someone tests and 
> fixes it. One question though: do you know whether this imx/mxc overhaul: 
> http://lists.infradead.org/pipermail/linux-arm-kernel/2010-June/thread.html#18844 
> affects your driver?

I tested this yesterday, and, unfortunately, it does :(. See 
http://lists.infradead.org/pipermail/linux-arm-kernel/2010-June/019111.html.  
However, this issue does not affect mx27 builds. So I think this should not 
stop the merge of this driver, for now. I hope Uwe and I will find an 
acceptable solution before the .36 merge window opens.

baruch

> I can ask Uwe, but maybe you have an idea or could test your patches with 
> Uwe's git tree?
> 
> Thanks
> Guennadi
> 
> > 
> > Signed-off-by: Baruch Siach <[email-masked]>
> > ---

-- 
                                                     ~. .~   Tk Open Systems
=}------------------------------------------------ooO--U--Ooo------------{=
   - baruch at tkos.co.il - tel: +972.2.679.5364, http://www.tkos.co.il -